#!/bin/bash

BackupDir=/var/backups/postgresql
LogDir=/var/log/postgresql
date=$( date +%Y%M%d-%H%M%s )

for db in `su - postgres -c 'psql -l -t template1'|grep -v template0 | sed -r -e 's/^\ ([^ ]+).*/\1/' -e '/^[\ \t]+/d'`; do
	echo -n "Base $db @ $date ..."
	pg_dump -Z --column-inserts --format=t -E UTF8 -f $BackupDir/dump-$db-$date.sql $db 2>&1 >$LogDir/dump-$db-$date.log
	echo $?
done

echo -n "removing old ..."
find /var/backups/ -name "dump-*.sql.gz" -mtime +7 -print -exec rm {} \;

